function new_update(item_id) {
	var text = $('#new-update').val();
	var send_data = {"item_id": item_id,
						"text": text};
	console.log(send_data);
	$.ajax({
		url: create_update_url,
		method: 'POST',
		headers: { "X-CSRFToken": csrftoken },
		//dataType: 'json',
		data: send_data,
		success: function(data, status, jqxhr) {
			window.location.assign(data);
		},
		error: function(jqxhr, status, errorText) {
			$('.live-edit-error-field').text(errorText);
			$('.live-edit-error-box').show();
		}
	})
}

function get_now_str() {
	var date = new Date();
	var m = date.getMonth();
	var d = date.getDate();
	var y = date.getFullYear();
	if(m == 0) { m = 'Jan'; }
	else if(m == 1) { m = 'Feb'; }
	else if(m == 2) { m = 'Mar'; }
	else if(m == 3) { m = 'Apr'; }
	else if(m == 4) { m = 'May'; }
	else if(m == 5) { m = 'Jun'; }
	else if(m == 6) { m = 'Jul'; }
	else if(m == 7) { m = 'Aug'; }
	else if(m == 8) { m = 'Sep'; }
	else if(m == 9) { m = 'Oct'; }
	else if(m == 10) { m = 'Nov'; }
	else if(m == 11) { m = 'Dec'; }
	if(d <= 9) { d = '0'+d; }
	else { d = '' + d; }
	y = '' + y;
	return m + ' ' + d + ', ' + y;
}

function open_new_update(element) {
	var obj = $(element);
	var obj_id = obj.attr('id');
	var attributes = obj_id.split('-', 3);
	var model_id = attributes[1];
	$('#new-update').val("");
	$('paper-button.new-update-btn').unbind().click( function(){
		var obj_value = $('#new-update').val();
		if(!execute_live_edit(obj_id, obj_value, obj) ) {
			return;
		}
		obj.text(obj_value);
		var obj_update = $('#ToDoItem-' + model_id + '-latest_date');
		obj_update.text(get_now_str());
		obj_update.removeClass('new-date aged-date old-date purge-date');
		obj_update.addClass('new-date');
	});
	new_update_dialog.positionTarget = element;
	new_update_dialog.open();
}

function open_priority(element) {
		var obj = $(element);
		var obj_id = obj.attr('id');
	$('paper-button.high-priority').unbind().click( function() {
		var obj_value = "High";
		if(!execute_live_edit(obj_id, obj_value, obj) ) {
			return;
		}
		obj.text(obj_value);
		obj.removeClass("high-priority medium-priority low-priority");
		obj.addClass("high-priority");
	});
	$('paper-button.medium-priority').unbind().click( function() {
		var obj_value = "Medium";
		if(!execute_live_edit(obj_id, obj_value, obj) ) {
			return;
		}
		obj.text(obj_value);
		obj.removeClass("high-priority medium-priority low-priority");
		obj.addClass("medium-priority");
	});
	$('paper-button.low-priority').unbind().click( function() {
		var obj_value = "Low";
		if(!execute_live_edit(obj_id, obj_value, obj) ) {
			return;
		}
		obj.text(obj_value);
		obj.removeClass("high-priority medium-priority low-priority");
		obj.addClass("low-priority");
	});
	priority.positionTarget = element;
	priority.open();
}

function open_priority_val(element) {
		var obj = $(element);
		var obj_id = obj.attr('id');
	$('paper-button.high-priority').unbind().click( function() {
		var obj_value = "High";
		if(!execute_live_edit(obj_id, obj_value, obj) ) {
			return;
		}
		obj.val(obj_value);
		obj.removeClass("high-priority medium-priority low-priority");
		obj.addClass("high-priority");
	});
	$('paper-button.medium-priority').unbind().click( function() {
		var obj_value = "Medium";
		if(!execute_live_edit(obj_id, obj_value, obj) ) {
			return;
		}
		obj.val(obj_value);
		obj.removeClass("high-priority medium-priority low-priority");
		obj.addClass("medium-priority");
	});
	$('paper-button.low-priority').unbind().click( function() {
		var obj_value = "Low";
		if(!execute_live_edit(obj_id, obj_value, obj) ) {
			return;
		}
		obj.val(obj_value);
		obj.removeClass("high-priority medium-priority low-priority");
		obj.addClass("low-priority");
	});
	priority.positionTarget = element;
	priority.open();
}

function open_status(element) {
		var obj = $(element);
		var obj_id = obj.attr('id');
	$('paper-button.status-open').unbind().click( function() {
		var obj_value = "Open";
		if(!execute_live_edit(obj_id, obj_value, obj) ) {
			return;
		}
		obj.text(obj_value);
		obj.removeClass("status-open status-inprogress status-onhold status-closed");
		obj.addClass("status-open");
	});
	$('paper-button.status-inprogress').unbind().click( function() {
		var obj_value = "In Progress";
		if(!execute_live_edit(obj_id, obj_value, obj) ) {
			return;
		}
		obj.text(obj_value);
		obj.removeClass("status-open status-inprogress status-onhold status-closed");
		obj.addClass("status-inprogress");
	});
	$('paper-button.status-onhold').unbind().click( function() {
		var obj_value = "On Hold";
		if(!execute_live_edit(obj_id, obj_value, obj) ) {
			return;
		}
		obj.text(obj_value);
		obj.removeClass("status-open status-inprogress status-onhold status-closed");
		obj.addClass("status-onhold");
	});
	$('paper-button.status-closed').unbind().click( function() {
		var obj_value = "Closed";
		if(!execute_live_edit(obj_id, obj_value, obj) ) {
			return;
		}
		obj.text(obj_value);
		obj.removeClass("status-open status-inprogress status-onhold status-closed");
		obj.addClass("status-closed");
	});
	status_dialog.positionTarget = element;
	status_dialog.open();
}

function open_status_val(element) {
		var obj = $(element);
		var obj_id = obj.attr('id');
	$('paper-button.status-open').unbind().click( function() {
		var obj_value = "Open";
		if(!execute_live_edit(obj_id, obj_value, obj) ) {
			return;
		}
		obj.val(obj_value);
		obj.removeClass("status-open status-inprogress status-onhold status-closed");
		obj.addClass("status-open");
	});
	$('paper-button.status-inprogress').unbind().click( function() {
		var obj_value = "In Progress";
		if(!execute_live_edit(obj_id, obj_value, obj) ) {
			return;
		}
		obj.val(obj_value);
		obj.removeClass("status-open status-inprogress status-onhold status-closed");
		obj.addClass("status-inprogress");
	});
	$('paper-button.status-onhold').unbind().click( function() {
		var obj_value = "On Hold";
		if(!execute_live_edit(obj_id, obj_value, obj) ) {
			return;
		}
		obj.val(obj_value);
		obj.removeClass("status-open status-inprogress status-onhold status-closed");
		obj.addClass("status-onhold");
	});
	$('paper-button.status-closed').unbind().click( function() {
		var obj_value = "Closed";
		if(!execute_live_edit(obj_id, obj_value, obj) ) {
			return;
		}
		obj.val(obj_value);
		obj.removeClass("status-open status-inprogress status-onhold status-closed");
		obj.addClass("status-closed");
	});
	status_dialog.positionTarget = element;
	status_dialog.open();
}