# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ItemUpdate',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('datetime_created', models.DateTimeField(auto_now_add=True)),
                ('text', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='SystemSetting',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('key', models.CharField(unique=True, max_length=30)),
                ('value', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='ToDoItem',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('title', models.CharField(default=b'New Item', max_length=100)),
                ('customer', models.CharField(max_length=50, blank=True)),
                ('contact', models.CharField(max_length=50, blank=True)),
                ('priority', models.CharField(default=b'Low', max_length=10)),
                ('datetime_created', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default=b'Open', max_length=10)),
            ],
        ),
        migrations.AddField(
            model_name='itemupdate',
            name='item',
            field=models.ForeignKey(to='todocx.ToDoItem'),
        ),
    ]
